using Microsoft.JSInterop;

namespace StandManager.Utils
{
    public class BodyClassService
    {
        private readonly IJSRuntime _js;

        public BodyClassService(IJSRuntime js)
        {
            _js = js;
        }

        public async Task SetBodyClass(string? className)
            => await _js.InvokeVoidAsync("bodyClass.set", className);

        public async Task Add(string className)
            => await _js.InvokeVoidAsync("bodyClass.add", className);

        public async Task Remove(string className)
            => await _js.InvokeVoidAsync("bodyClass.remove", className);
    }
}
